Subject: Re: git over webdav: what can I do for improving http-push ?

From: Graham Barr <[email-masked]>
Date: Mon, 31 Dec 2007 10:57:52 -0600

Daniel Barkalow wrote:
> On Sun, 30 Dec 2007, Grégoire Barbier wrote:

>> I'm using Git for a rather short time but enough to fall in love with it. For
>> a few days I'm trying to use it over webdav, that is over http/https with
>> write (push) access. As for me, the main rationale to use http(s) rather than
>> git or ssh is to get through corporate firewalls, otherwise I would probably
>> not bother with webdav.

> In general, we've been able to either get through firewalls with ssh or 
> it's all in the same VPN. So it's kind of unloved at this point. People 
> poke at it occasionally, but mostly in the context of other fixes, I 
> think.

If you have a http proxy that you can use, the you can use ssh via that with
something like corkscrew. http://wiki.kartbuilding.net/index.php/Corkscrew_-_ssh_over_https

A simple shell script wrapper around ssh to detect when you are behind a firewall
can inject the ProxyCommand into the command line arguments with -o

Graham.